/**
 * Canvas.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

/**
 * To be used by the Edit GUI<br>
 * Implemented by subclasses to work with the corresponding <code>Toolbar</code>
 * 
 * @author Jesse Yates
 */
public interface Canvas
{
	public void redo();

	public void setFromString(String question);

	public void undo();

}
