/**
 * UploaderGUI.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

import com.trolltech.qt.gui.QFileDialog;

/**
 * GUI responsible for uploading and saving data
 * 
 * @author Jesse Yates
 */
public class UploaderGUI extends QFileDialog
{
	/** A <code>String</code> representing where to save the file */
	private String location;

	/**
	 * Returns the location of the saved file
	 * 
	 * @return a <code>String</code> representing the location of the saved file
	 */
	public String getLocation()
	{
		return location;
	}

	/**
	 * Updates the location of the saved file to the specified <code>String</code>
	 * 
	 * @param l
	 *        the location of the saved file
	 */
	public void setLocation(String l)
	{
		this.location = l;
	}

	/**
	 * Draws a GUI representing a file manager for uploading and exporting
	 */
	public void draw()
	{

	}
}
