/**
 * GraphWindowGUI.java
 * Group 7, Object Oriented Software Engineering
 * October 10, 2009
 */
package edu.jhu.cs.oose.elevel;

import com.trolltech.qt.gui.QDialog;

/**
 * GUI responsible for the view and controller for the underlying {@link GraphWindow} model
 * 
 * @author Jesse Yates
 */
public class GraphWindowGUI extends QDialog
{
	/** The underlying {@link GraphWindow} model */
	private GraphWindow graphWindow;

	/**
	 * Draws the GUI that displays graphed statistics
	 */
	public void draw()
	{

	}

	/**
	 * Returns the {@link GraphWindow} model this GUI is associated with
	 * 
	 * @return the {@link GraphWindow} model this GUI is associated with
	 */
	public GraphWindow getGraphWindow()
	{
		return graphWindow;
	}

	/**
	 * Associates this GUI with the specified {@link GraphWindow} model
	 * 
	 * @param g
	 *        the {@link GraphWindow} model associated with this GUI
	 */
	public void setGraphWindow(GraphWindow g)
	{
		this.graphWindow = g;
	}
}
